Page MenuHomePhabricator

wgNoticeProjects should not default to wikimedia projects
Closed, ResolvedPublic

Description

wgNoticeProjects should default to [].. Miraheze uses CentralNotice and we set wgNoticeProjects to something specific within $wgConf. Rather than the default being overridden, our default somehow gets merged with the extension default. (Our config is here). I am proposing that wgNoticeProjects defaults to [] in the extension, and that the wikimedia values get set in the WMF config files.

Event Timeline

Restricted Application added a project: User-MacFan4000. · View Herald TranscriptNov 4 2018, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 471662 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/extensions/CentralNotice@master] Have wgNoticeProjects default to false

https://gerrit.wikimedia.org/r/471662

MacFan4000 updated the task description. (Show Details)Nov 4 2018, 11:38 PM

Change 471663 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[operations/mediawiki-config@master] Set wgNoticeProjects for wikimedia

https://gerrit.wikimedia.org/r/471663

MacFan4000 updated the task description. (Show Details)Nov 5 2018, 2:27 PM

Commenting for somebody to please review my patches

I see I've been added to the Gerrit patch; I'm not that familiar with the issue, but someone like @Jseddon or @Pcoombe may be moreso.

Commenting for somebody to please review my patches

Thanks for the fix! I can take a look over the next few days...

Change 471663 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[operations/mediawiki-config@master] Set wgNoticeProjects for wikimedia

https://gerrit.wikimedia.org/r/471663

Change 471662 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/extensions/CentralNotice@master] Have wgNoticeProjects default to []

https://gerrit.wikimedia.org/r/471662

Change 471663 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgNoticeProjects for wikimedia

https://gerrit.wikimedia.org/r/471663

Mentioned in SAL (#wikimedia-operations) [2019-09-03T22:54:02Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T208694 Set CentralNotice's wgNoticeProjects for wikimedia (duration: 00m 59s)

Change 534251 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/extensions/CentralNotice@REL1_33] Have wgNoticeProjects default to []

https://gerrit.wikimedia.org/r/534251

Change 471662 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Have wgNoticeProjects default to []

https://gerrit.wikimedia.org/r/471662

Change 534469 had a related patch set uploaded (by Jforrester; owner: MacFan4000):
[mediawiki/extensions/CentralNotice@wmf_deploy] Have wgNoticeProjects default to []

https://gerrit.wikimedia.org/r/534469

Change 534251 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@REL1_33] Have wgNoticeProjects default to []

https://gerrit.wikimedia.org/r/534251

Change 534469 abandoned by Jforrester:
Have wgNoticeProjects default to []

Reason:
Done in a large-scale cherry-pick.

https://gerrit.wikimedia.org/r/534469

Jdforrester-WMF closed this task as Resolved.Tue, Sep 10, 5:02 PM
Jdforrester-WMF claimed this task.

Done in master, in production, and in REL1_33.